package Logoved::Role::Stream::Out::Source;
use strict;
use warnings;
use Carp;
use Moo::Role;
with 'Logoved::Role::Stream::Out';

has 'source' => (
    is => 'ro',
    does => 'Logoved::Role::Stream::Source',
    );

has 'name' => (is => 'lazy');
has 'messager' => (is => 'lazy');

sub _build_name {
    my $self=shift;
    return $self->source->name;
}

sub _build_messager {
    my ($self) = @_;
    return $self->source->messager;
}

sub pushback {
    my $self=shift;
    #my ($self, $line)=@_;
    my $source=$self->source();
    if (! $source) {
	confess 'pushbacking object is not initialized';
    } else {
	#$source->pushback($line);
	$source->pushback(@_);
    }
}

sub pushback_chunk {
    my ($self, $chunk)=@_;
    my $source=$self->source();
    if (! $source) {
	confess 'pushbacking object is not initialized';
    } else {
	$source->pushback_chunk($chunk);
    }
};

1;
