package Logoved::Stream::Out::Section::rpmbuild::intersect;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section::rpmbuild';

sub match_section_start {
    my ($self, $line) = @_;
    return $line=~/File\(s\) packaged into both ([^\s:]+) and ([^\s:]+):/;
};

sub accept {
    my ($self, $line) = @_;
    return 1 if $line=~/File\(s\) packaged into both ([^\s:]+) and ([^\s:]+):/;
    return 1 if $line=~m!^    /!;
    return 0;
}

1;
__END__
Requires: libiptables = 1.4.21-alt3, debug(libc.so.6), debug(libdl.so.2)
Adding to iptables-debuginfo a strict dependency on libiptables-debuginfo
Removing from iptables-debuginfo 11 sources provided by libiptables-debuginfo
also prunning dir /usr/src/debug/iptables-1.4.21-alt3/include/iptables
also prunning dir /usr/src/debug/iptables-1.4.21-alt3/include/libiptc
Removing 3 extra deps from iptables due to dependency on libiptables
Removing 3 extra deps from libiptables-devel due to dependency on libiptables
Removing 3 extra deps from iptables-debuginfo due to dependency on libiptables-debuginfo
Removing 16 extra deps from iptables-ipv6 due to repentancy on iptables
Removing 8 extra deps from iptables due to repentancy on libiptables
Removing 1 extra deps from iptables-debuginfo due to repentancy on libiptables-debuginfo
warning: File(s) packaged into both iptables-1.4.21-alt3 and libiptables-devel-1.4.21-alt3:
    /usr/lib/libiptc.so
Wrote: /usr/src/RPM/RPMS/i586/iptables-1.4.21-alt3.i586.rpm
