package Logoved::Stream::Out::Section::rpmbuild::unpackaged;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section::rpmbuild';

sub match_section_start {
    my ($self, $line) = @_;
    return $line=~/^warning: Installed \(but unpackaged\) file\(s\) found:/;
}

sub accept {
    my ($self, $line) = @_;
    return 1 if $line=~/^warning: Installed \(but unpackaged\) file\(s\) found:/;
    return 1 if $line=~m!^    /!;
    return 0;
}

1;
__END__
warning: Installed (but unpackaged) file(s) found:
    /usr/share/doc/adcli/adcli-docs.proc
    /usr/share/doc/adcli/adcli.html
    /usr/share/doc/adcli/contrib.html
    /usr/share/doc/adcli/devel-building-style.html
    /usr/share/doc/adcli/devel-building.html
    /usr/share/doc/adcli/devel-debugging.html
    /usr/share/doc/adcli/devel-testing.html
    /usr/share/doc/adcli/devel.html
    /usr/share/doc/adcli/gtk-doc.css
    /usr/share/doc/adcli/guide.html
    /usr/share/doc/adcli/home.png
    /usr/share/doc/adcli/index.html
    /usr/share/doc/adcli/index.sgml
    /usr/share/doc/adcli/left.png
    /usr/share/doc/adcli/right.png
    /usr/share/doc/adcli/style.css
    /usr/share/doc/adcli/up.png
Wrote: /usr/src/RPM/RPMS/x86_64/adcli-0.8.2-alt1.S1.x86_64.rpm
