package Logoved::Stream::Out::Section::time;
use Carp;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

our $line0=qr/^[\d:.]+user [\d:.]+system [\d:.]+elapsed/;
our $line1=qr/^\d+inputs\+\d+outputs/;

sub match_section_start {
    my ($self, $line) = @_;
    return $line=~ $line0;
};

sub accept {
    my ($self, $line) = @_;
    my $count=$self->count;
    #Carp::carp 'count=', $count, ' line: ', $line;
    if (0==$count) {
	return $line=~ $line0;
    } elsif (1==$count) {
	return $line=~ $line1;
    } else {
	return 0;
    }
};

1;
__END__
197.64user 25.15system 7:52.85elapsed 47%CPU (0avgtext+0avgdata 53064maxresident)k
0inputs+0outputs (0major+13566274minor)pagefaults 0swaps
---------
219.87user 30.89system 8:39.35elapsed 48%CPU (0avgtext+0avgdata 127480maxresident)k
6080inputs+0outputs (0major+15231992minor)pagefaults 0swaps
