package Logoved::Role::Stream::Out::Chain;
use Carp;
use Moo::Role;

# TODO: isa check for chained_out
has 'chained_out' => (is => 'ro',);
with 'Logoved::Role::Stream::Out';
requires 'accept';

sub write {
    my ($self,$line) = @_;
    unless ($self->accept($line)) {
	$self->chained_out->write(@_);
    }
}
sub commit {
    my $self = shift;
    $self->chained_out->commit(@_);
}


1;
__END__
