package Logoved::Role::Stream::Out::Pipe::Filter;
use Carp;
use Moo::Role;

# TODO: isa check for outpipe
has 'outpipe' => (is => 'ro',);
with 'Logoved::Role::Stream::Out::Pipe';
requires 'accept';

sub write {
    my ($self,$line) = @_;
    unless ($self->accept($line)) {
	$self->outpipe->write(@_);
    }
}
sub commit {
    my $self = shift;
    $self->outpipe->commit(@_);
}


1;
__END__
