package Logoved::Stream::Out::Listener::StatusWriter;
use Moo;
with 'Logoved::Role::Stream::Out::Listener';

sub subscribe_stream {
    my ($class, $stream)=@_;
    # we need status of the main stream
    return 1 if $stream->section_type eq '';
    my $sec_class=ref($stream);
    #warn "StatusWriter: subscribed to $sec_class\n";
    return if not $stream->DOES('Logoved::Role::Stream::Out::Section');
    #return 1 if $sec_class eq 'Logoved::Stream::Out::Section::rpmbuild::files';
    return if $stream->DOES('Logoved::Stream::Out::Switch');
    return 1;
}

sub _get_section_path {
    my $self=shift;
    my $output_path=$self->listeners_factory->outdir;
    my $section_id=$self->stream->section_id;
    return $output_path.'/'.$section_id;
}

sub write {}
sub commit {}

sub error {
    my $self=shift;
    my $touchfile=$self->_get_section_path().'@@error';
    system('touch', $touchfile)==0 or die 'touch ',$touchfile, ' failed: ',$!;
}

sub success {
    my $self=shift;
    my $touchfile=$self->_get_section_path().'@@success';
    system('touch', $touchfile)==0 or die 'touch ',$touchfile, ' failed: ',$!;
}

1;
