package Logoved::Stream::Out::Section::hasher::chroot::cache;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::timeout;
    use Logoved::Stream::Out::Section::hasher::chroot::apt;
    return qw/
	Logoved::Stream::Out::Section::hasher::timeout
	Logoved::Stream::Out::Section::hasher::chroot::apt
	/;
}

sub match_section_start {
    my ($self, $line) = @_;
    return $line=~/^<13>\S+\s+\d+ [0-9:]+ rpmi: /;
};

1;
__END__
<13>Aug  1 11:59:34 rpmi: setup-2.2.15-alt1 1503594490 installed
<13>Aug  1 11:59:34 rpmi: filesystem-2.3.16-alt1 1515521139 installed
<13>Aug  1 11:59:34 rpmi: glibc-preinstall-6:2.27-alt6 1530126039 installed
[...]
<13>Aug  1 11:59:44 rpmi: time-1:1.7-alt4 1449722762 installed
